@echo off
cls
color 0a
echo.
echo               VMware workstation-6.5.3-185404 绿色精简版
echo.
echo.
echo                                 即将进行卸载，是否要继续......
echo.     
echo ---------------------------------------------------------------------------
echo.
SET /P ST=   请输入 Y (继续安装)或 N (退出安装)：
echo.
if /I "%ST%"=="Y" goto ST
if /I "%ST%"=="N" goto EX
goto EX

:ST
echo 正在删除虚拟网卡，请稍后……
:delete VM Network
start /wait vnetlib -- remove adapter vmnet1
start /wait vnetlib -- remove adapter vmnet2
start /wait vnetlib -- remove adapter vmnet3
start /wait vnetlib -- remove adapter vmnet4
start /wait vnetlib -- remove adapter vmnet5
start /wait vnetlib -- remove adapter vmnet6
start /wait vnetlib -- remove adapter vmnet7
start /wait vnetlib -- remove adapter vmnet8
start /wait vnetlib -- remove adapter vmnet9
regsvr32 /u /s vmappcfg.dll
regsvr32 /u /s vmappsdk.dll
regsvr32 /u /s vmdbCOM.dll

:delservice
echo 正在删除服务...
call :删除服务 vmci
call :删除服务 vmnetbridge
call :删除服务 vmx86
call :删除服务 VMnetAdapter
call :删除服务 "VMware NAT Service"
call :删除服务 VMnetDHCP
call :删除服务 VMnetuserif
call :删除服务 vmusb
call :删除服务 hcmon
"%cd%\bridgeinstall.exe" -u vmware_bridge

:delfile
echo 删除安装的文件....
call :删除文件 %systemroot%\system32\drivers\vmnetadapter.sys
call :删除文件 %systemroot%\system32\drivers\vmnet.sys
call :删除文件 %systemroot%\system32\drivers\vmnetbridge.sys
call :删除文件 %systemroot%\system32\vmnetBridge.dll
call :删除文件 %systemroot%\system32\vnetinst.dll
del /f /q %systemroot%\inf\vmusb.cat
del /f /q %systemroot%\inf\vmusb.inf
del /f /q %systemroot%\inf\vmusb.sys
del /f /q %systemroot%\inf\VMUSB.PNF
del /f /q %systemroot%\system32\drivers\vmusb.sys
:delreg
echo 删除注册表....
reg delete  "HKEY_LOCAL_MACHINE\SOFTWARE\VMware, Inc." /f >nul 2>nul
reg delete  "HKEY_CURRENT_USER\SOFTWARE\VMware, Inc." /f >nul 2>nul

:deluser
echo 删除用户和用户组...
net user __vmware_user__ /delete >nul 2>nul
net localgroup __vmware__ /delete >nul 2>nul

pause>nul|echo 卸载完成......
goto :eof
:删除文件
del /f /q "%*" >nul 2>nul
goto :eof
:删除服务
net stop %* >nul 2>nul
sc delete %* >nul 2>nul
goto :eof